## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataLabelProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class TableDataLabelProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ITableLabelProvider

Constructor Summary
`TableDataLabelProvider()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `dispose()`
`org.eclipse.swt.graphics.Image` `getColumnImage(java.lang.Object element, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object element, int columnIndex)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataLabelProvider

    public TableDataLabelProvider()

Method Detail

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object element,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`